summarylogtreecommitdiffstats
path: root/repath-studio.sh
diff options
context:
space:
mode:
authorzxp198210052024-02-23 12:53:50 +0800
committerzxp198210052024-02-23 12:53:50 +0800
commitcc2c663668e1a02d3854ab8e8c83432376dbed81 (patch)
treeda85d699dfe2e9bc4192368eccb14c34b552bb6c /repath-studio.sh
downloadaur-cc2c663668e1a02d3854ab8e8c83432376dbed81.tar.gz
update to 0.2.0
Diffstat (limited to 'repath-studio.sh')
-rw-r--r--repath-studio.sh14
1 files changed, 14 insertions, 0 deletions
diff --git a/repath-studio.sh b/repath-studio.sh
new file mode 100644
index 000000000000..f9ced1432cfc
--- /dev/null
+++ b/repath-studio.sh
@@ -0,0 +1,14 @@
+#!/bin/sh
+set -e
+_APPDIR="/usr/lib/@appname@"
+_RUNNAME="${_APPDIR}/@runname@"
+export PATH="${_APPDIR}:${PATH}"
+export LD_LIBRARY_PATH="${_APPDIR}/swiftshader:${_APPDIR}/lib:${LD_LIBRARY_PATH}"
+export ELECTRON_IS_DEV=0
+export NODE_ENV=production
+cd "${_APPDIR}"
+if [[ $EUID -ne 0 ]] || [[ $ELECTRON_RUN_AS_NODE ]]; then
+ exec electron@electronversion@ "${_RUNNAME}" "$@" || exit $?
+else
+ exec electron@electronversion@ "${_RUNNAME}" --no-sandbox "$@" || exit $?
+fi \ No newline at end of file